summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-auth/keystone/keystone-2015.2.9999.ebuild59
1 files changed, 30 insertions, 29 deletions
diff --git a/sys-auth/keystone/keystone-2015.2.9999.ebuild b/sys-auth/keystone/keystone-2015.2.9999.ebuild
index 7acbff4b138..cb547892b65 100644
--- a/sys-auth/keystone/keystone-2015.2.9999.ebuild
+++ b/sys-auth/keystone/keystone-2015.2.9999.ebuild
@@ -26,26 +26,26 @@ DEPEND="
test? (
${RDEPEND}
>=dev-python/bashate-0.2[${PYTHON_USEDEP}]
- <=dev-python/bashate-0.3.1[${PYTHON_USEDEP}]
+ <=dev-python/bashate-0.3.2[${PYTHON_USEDEP}]
memcached? (
>=dev-python/python-memcached-1.48[${PYTHON_USEDEP}]
<=dev-python/python-memcached-1.57[${PYTHON_USEDEP}]
)
mongo? (
>=dev-python/pymongo-2.6.3[${PYTHON_USEDEP}]
- <dev-python/pymongo-3.0[${PYTHON_USEDEP}]
+ <dev-python/pymongo-3.1[${PYTHON_USEDEP}]
)
ldap? (
>=dev-python/python-ldap-2.4[$(python_gen_usedep 'python2_7')]
<=dev-python/python-ldap-2.4.20[$(python_gen_usedep 'python2_7')]
- >=dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
- <=dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
+ ~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
)
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0[${PYTHON_USEDEP}]
- ~dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ <=dev-python/coverage-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
>=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.4.4[${PYTHON_USEDEP}]
+ <=dev-python/lxml-3.5.0-r9999[${PYTHON_USEDEP}]
>=dev-python/mock-1.2[${PYTHON_USEDEP}]
<=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
>=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
@@ -54,24 +54,24 @@ DEPEND="
!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
>=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.18[${PYTHON_USEDEP}]
+ <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
>=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.1.0[${PYTHON_USEDEP}]
+ <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
<=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.0[${PYTHON_USEDEP}]
+ <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-3.2.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-sphinx-3.3.1[${PYTHON_USEDEP}]
>=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.9.0[${PYTHON_USEDEP}]
+ <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
>=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- <=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
+ <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
)"
RDEPEND="
${CDEPEND}
>=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.4.1[${PYTHON_USEDEP}]
+ <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
>=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
<=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
@@ -84,7 +84,8 @@ RDEPEND="
<=dev-python/routes-2.2[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
<=dev-python/cryptography-1.1-r9999[${PYTHON_USEDEP}]
- ~dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ <=dev-python/six-1.10.0-r9999[${PYTHON_USEDEP}]
sqlite? (
>=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
<dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
@@ -102,23 +103,23 @@ RDEPEND="
>=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
<=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.8.0[${PYTHON_USEDEP}]
+ <=dev-python/stevedore-1.9.0[${PYTHON_USEDEP}]
>=dev-python/passlib-1.6[${PYTHON_USEDEP}]
<=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
>=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-1.7.2-r9999[${PYTHON_USEDEP}]
+ <=dev-python/python-keystoneclient-1.8.1-r9999[${PYTHON_USEDEP}]
>=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-2.3.1[${PYTHON_USEDEP}]
+ <=dev-python/keystonemiddleware-3.0.0-r9999[${PYTHON_USEDEP}]
>=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-2.6.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-concurrency-2.8.0[${PYTHON_USEDEP}]
>=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-2.4.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-config-2.6.0[${PYTHON_USEDEP}]
>=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-0.6.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-context-0.8.0[${PYTHON_USEDEP}]
>=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
!~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
!~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-2.5.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
>=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
<=dev-python/oslo-db-2.6.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
@@ -126,21 +127,21 @@ RDEPEND="
>=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
<=dev-python/oslo-log-1.11.0[${PYTHON_USEDEP}]
>=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-middleware-2.10.0[${PYTHON_USEDEP}]
>=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-0.11.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-policy-0.12.0[${PYTHON_USEDEP}]
>=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-1.9.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-serialization-1.11.0[${PYTHON_USEDEP}]
>=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-0.9.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-service-0.12.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-2.5.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-utils-2.7.0[${PYTHON_USEDEP}]
>=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
<=dev-python/oauthlib-1.0.3[${PYTHON_USEDEP}]
>=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/pysaml2-3.0.0[${PYTHON_USEDEP}]
+ <=dev-python/pysaml2-3.0.2[${PYTHON_USEDEP}]
>=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
- <=dev-python/dogpile-cache-0.5.6[${PYTHON_USEDEP}]
+ <=dev-python/dogpile-cache-0.5.7[${PYTHON_USEDEP}]
>=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
!~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
<dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]